package UI.LogIn.Game;

import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.util.ArrayList;

/**
 * this class represents a listener for keyboard
 * it extends the keyAdaptor
 * @author zahra_fatehi
 * @version 0.0
 */
public class MyListener extends KeyAdapter {
    public static ArrayList<KeyAdapter> list = new ArrayList<>();

    public static void add(KeyAdapter keyAdapter){
        list.add(keyAdapter);
    }

    @Override
    public void keyPressed(KeyEvent e) {
        for (KeyAdapter keyAdapter : list){
            if (keyAdapter != null){
                keyAdapter.keyPressed(e);
            }
        }
    }

    @Override
    public void keyReleased(KeyEvent e) {
        for (KeyAdapter keyAdapter : list){
            if (keyAdapter != null){
                keyAdapter.keyReleased(e);
            }
        }
    }
}
